_SETTINGS:SetPlayerMenuOff()

local tankerTruman=RECOVERYTANKER:New("CARRIER USS Harry Truman 337.2", "Shell Truman")
tankerTruman:SetTakeoffAir()
tankerTruman:SetRadio(138.400)
tankerTruman:SetModex(511)
tankerTruman:SetTACAN(44,"SL4")
tankerTruman:__Start(1)

local pedroTruman=RESCUEHELO:New("CARRIER USS Harry Truman 337.2", "Pedro Truman")
pedroTruman:SetHomeBase(AIRBASE:FindByName("USS Port Royal4"))
pedroTruman:SetModex(44)
pedroTruman:__Start(1)
  
local airbossTruman=AIRBOSS:New("CARRIER USS Harry Truman 337.2")
airbossTruman:SetSoundfilesFolder("Airboss Soundfiles/")
airbossTruman:SetDespawnOnEngineShutdown()
airbossTruman:SetMaxFlightsPerStack(1)
airbossTruman:SetMaxMarshalStacks(20)
airbossTruman:SetMaxSectionSize(4)
airbossTruman:SetLSORadio(337.400)
airbossTruman:SetMarshalRadio(337.200)
airbossTruman:SetICLS(14)
airbossTruman:SetTACAN(74,"X","GEW")
airbossTruman:SetHandleAIOFF()
airbossTruman:SetDefaultPlayerSkill(AIRBOSS.Difficulty.EASY)
airbossTruman:SetAirbossNiceGuy(true)
airbossTruman:SetEmergencyLandings(true)
airbossTruman:SetPatrolAdInfinitum(true)
airbossTruman:SetCarrierControlledArea(50)
airbossTruman:SetMenuRecovery(60, 25, true, 0)
airbossTruman:SetRadioRelayLSO("Relay Truman")
airbossTruman:SetHoldingOffsetAngle(0)
airbossTruman:Start()

function tankerTruman:OnAfterStart(From,Event,To)
  airbossTruman:SetRecoveryTanker(tankerTruman)  
end

function pedroTruman:OnAfterStart(From,Event,To)
  airbossTruman:SetRadioRelayMarshal(self:GetUnitName())
end